{TGS: Ph. Rev. 1959, 115(2), 323: Hoshino S. et al.
  47oC: P2_1 -> P2_1/m.
  Odin iz ionov glicinija - ~y=1/4; vysolkoT - y=1/4 stanov. m (statistich.).
  Po povodu ogranki sm.:
  Acta Cr. 1959, 12, 259: obsuzhd. polozh. optich. osej otnos. geom. osej;
    pochemu-to upomin. beta=105o40' (?); pri begl. prosm. nejasno;
  Seg-el-ki. Sb. nau`. tr. Minsk. gos. ped.-in-t im. A.M.Gor`k., Minsk, 1986,
    s.92-96: Vasilevskij S.D. - TGS s SO42- -> PO3F2- i HPO42- (est` u
    Morozovsk.); naib. vyrazheny (v por`adke ubyv.): 010; 001; 111; 110; 100; 
    ostal`nye - slabee, no byvajut; prived. risunki; iz nikh posle pererisov. 
   trudno pon`at`, no vrode ugly ne sootv. ozhid.
}

 const imya='TGS';

 procedure zad_bazis; var grad:real;
 begin
  grad:=pi/180;
  aa:=9.41; b:=12.64; c:=5.73;
  alpha:=90*grad; beta:=(110+23/60)*grad; gamma:=90*grad;
  postr_bazis(aa,b,c,alpha,beta,gamma);
 end;

 procedure zad_simm; begin P2_1; end;

 procedure zad_molec; var i:integer; al:real;
 begin
  nmolec:=4;
  with mo[1] do begin
   nat:=5;
   initvect(a[1].r,0.9995, 0.2500, 0.2250); a[1].obozn:='S ';
   initvect(a[2].r,0.8583, 0.2447, 0.0051); a[2].obozn:='O 1';
   initvect(a[3].r,0.9669, 0.2437, 0.4572); a[3].obozn:='O 2';
   initvect(a[4].r,1.0920, 0.1565, 0.2234); a[4].obozn:='O 3';
   initvect(a[5].r,1.0769, 0.3469, 0.1941); a[5].obozn:='O 4';
   centr:=a[1].r;
  end;
  with mo[2] do begin
   nat:=5;
   initvect(a[1].r,0.6064, 0.2393, 1.0746); a[1].obozn:='O 1';
   initvect(a[2].r,0.4935, 0.2718, 0.6668); a[2].obozn:='O 2';
   initvect(a[3].r,0.4905, 0.2472, 0.8727); a[3].obozn:='C 1';
   initvect(a[4].r,0.3348, 0.2361, 0.9049); a[4].obozn:='C 2';
   initvect(a[5].r,0.3595, 0.2110, 1.1639); a[5].obozn:='N ';
   centr:=a[3].r;
  end;
  with mo[3] do begin
   nat:=5;
   initvect(a[1].r,0.2218, 0.4975, 0.7646); a[1].obozn:='O 1';
   initvect(a[2].r,0.4596, 0.5397, 0.7988); a[2].obozn:='O 2';
   initvect(a[3].r,0.3153, 0.5331, 0.6797); a[3].obozn:='C 1';
   initvect(a[4].r,0.2675, 0.5734, 0.4070); a[4].obozn:='C 2';
   initvect(a[5].r,0.0939, 0.5800, 0.3063); a[5].obozn:='N ';
   centr:=a[3].r;
  end;
  with mo[4] do begin
   nat:=5;
   initvect(a[1].r,0.7824, 0.4931, 0.2229); a[1].obozn:='O 1';
   initvect(a[2].r,0.5454, 0.4825, 0.2317); a[2].obozn:='O 2';
   initvect(a[3].r,0.6937, 0.4749, 0.3281); a[3].obozn:='C 1';
   initvect(a[4].r,0.7440, 0.4320, 0.5906); a[4].obozn:='C 2';
   initvect(a[5].r,0.9068, 0.4331, 0.7059); a[5].obozn:='N ';
   centr:=a[3].r;
  end;
 end;

 function uslov(s1,s2:s5; r:real):boolean; var g2,g3,g4,g5,g6,x:boolean;
 begin
  g2:=tipy_(s1,s2,'O ','O ') and (r<3.0);
  g3:=tipy_(s1,s2,'N ','O ') and (r<3.0);
  g4:=tipy_(s1,s2,'N ','N ') and (r<3.0);
  g5:=tipy_(s1,s2,'O ','Cl') and (r<3.1);
  g6:=tipy_(s1,s2,'N ','Cl') and (r<3.5);
  x:=abs(r-2.90)>0.01; {iskl`uch. kontakty N...O =2.90 A}
  uslov:=(g2 or g3 or g4 or g5 or g6) and x;
 end;

 function nado_sv(i,j:integer; r:real):boolean; var g1,g2:boolean;
  function not_H(s:s5):boolean; begin not_H:=copy(s,1,2)<>'H '; end;
 begin
  g1:=(r<1.1) or
    ((r<2.0) and not_H(zapis^[i].obozn) and not_H(zapis^[j].obozn));
  g2:=iz_razn(i,j) and uslov(zapis^[i].obozn,zapis^[j].obozn,r);
  if g1 or g2 then zapomn_r(i,j,r);
  nado_sv:=g1 or g2;
 end;

 function nado_postr;
 {opisana: function nado_postr(q:vect):boolean; forward;}
  var d:real;
 begin
  d:=0.6;
  nado_postr:=(q[1]>=-d) and (q[1]<=1+d)
    and (q[2]>=-d) and (q[2]<=1+d)
    and (q[3]>={-d}-1) and (q[3]<={1+d}2);
 end;

